Skip to main content
POST
/
widget-studio-templates
Create a new widget studio template
curl --request POST \
  --url https://api.kameleoon.com/widget-studio-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "siteId": 123,
  "isFavorite": true,
  "studioTemplate": "<string>",
  "widgetId": 123
}
'
{
  "siteId": 123,
  "id": 123,
  "isFavorite": true,
  "studioTemplate": "<string>",
  "widgetId": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
siteId
integer<int64>
required

Site Id of the widget studio template.

isFavorite
boolean

Indicates if this template has been marked as a favorite.

studioTemplate
string

Widget studio template data that is associated with this template.

widgetId
integer<int64>

Widget that can be parsed and used as a studio template.

Response

Created

siteId
integer<int64>
required

Site Id of the widget studio template.

id
integer<int64>
read-only

Unique Id of the given widget studio template.

isFavorite
boolean

Indicates if this template has been marked as a favorite.

studioTemplate
string

Widget studio template data that is associated with this template.

widgetId
integer<int64>

Widget that can be parsed and used as a studio template.